%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-zdaemon
Version:        2.0.2
Release:        1%{?dist}
Summary:        Python Daemon Process Control Library
Group:          Development/Languages
License:        ZPLv2.1
URL:            http://pypi.python.org/pypi/zdaemon/
Source0:        http://pypi.python.org/packages/source/z/zdaemon/zdaemon-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
#BuildRequires:  python-zope-testing
Requires:       python-ZConfig


%description
Daemon process control library and tools for Unix-bases systems.


%prep
%setup -q -n zdaemon-%{version}
sed -i '1,1d' src/zdaemon/zdctl.py
sed -i '1,1d' src/zdaemon/zdrun.py
sed -i '1,1d' src/zdaemon/tests/nokill.py


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%check
#%{__python} setup.py test

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES.txt README.txt
%{python_sitelib}/*
%{_bindir}/zdaemon


%changelog
* Mon Dec 15 2008 Conrad Meyer <konrad@tylerc.org> - 2.0.2-1
- Initial package.
